# Welcome to rows documentation!

No matter in which format your tabular data is: `rows` will import it,
automatically detect types and give you high-level Python objects so you can
start **working with the data** instead of **trying to parse it**. It is also
locale-and-unicode aware. :)

Have you ever lost your precious time reading a CSV that had a different
dialect? Or trying to learn a whole new library API to read a new tabular data
format your customer just sent? You've got gray hair when trying to access
some data and the only answer was `UnicodeDecodeError`? So,
[rows][rows] was custom made for you - run `pip install rows` and be happy! :-)

The library is officialy supported on Python versions 2.7, 3.5 and 3.6 (but may
work on other versions too).

> Note: if you're using [rows][rows] in some project please [tell
> us][rows-issue-103]! :-)


## Contents

- First Steps
    - [Basic Usage][doc-basic-usage]
    - [Quick-start guide][doc-quick-start]
    - [Installation][doc-installation]
    - [License][doc-license]

- Basic Concepts
    - [Architecture][doc-architecture]
    - [Plugins][doc-plugins]
    - [Operations][doc-operations]
    - [Command-line][doc-cli]
    - [Locale][doc-locale]

- [Going deeper][doc-links]
- [Contributing][doc-contributing]
- [Code reference][reference]



[doc-changelog]: changelog.md
[doc-cli]: cli.md
[doc-contributing]: contributing.md
[doc-installation]: installation.md
[doc-license]: license.md
[doc-links]: links.md
[doc-locale]: locale.md
[doc-architecture]: architecture.md
[doc-basic-usage]: basic-usage.md
[doc-operations]: operations.md
[doc-plugins]: plugins.md
[doc-locale]: locale.md
[doc-quick-start]: quick-start.md
[reference]: reference/
[rows-issue-103]: https://github.com/turicas/rows/issues/103
[rows-lazyness]: https://github.com/turicas/rows/issues/45
[rows]: https://github.com/turicas/rows/
[semver]: http://semver.org/
